
QGIS Application - Bug report #13377

Unable to Snap to new features after saving, without reloading data

2015-09-18 12:28 AM - Cory Williams

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 21429

Description

We've seen an issue with Snapping to new features.

When you digitize a feature, snapping will work in Modes Advanced or Current Layer, until you save that layer.

Once saved, I've found that you need to re-load the dataset to be able to snap to those features.

If you use All Layers, it does work, however this mode is almost unusable in Windows 7 and MAC OSX. As the Reindexing Data

window appears each time the mouse cursor moves.

This means your mouse cursor needs to be completely still to create a vertex and slows productivity.

Is it possible to re-index after a layer has been saved?

Datasource:     PostgreSQL 9.3 / PostGIS

OS:           Windows 7 / MAC OSX

QGIS Version: 2.10.1

History

#1 - 2015-10-14 11:39 AM - Saber Razmjooei

- Status changed from Open to Feedback

Could you try in master?

#2 - 2015-12-21 06:00 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback and because it also works as expected, at least on master.
